2
$\begingroup$

I'm not really having any problems. I've just recently downloaded "make human". on the download page it says it needs Python installed to work. I haven't installed Python but it seems to work anyway. And I'm assuming that's because Python must be bundled with the steam version of Blender. because the version of blender I have was installed through the steam client. If that wasn't already apparent.

$\endgroup$
1
$\begingroup$

Python is bundled with all versions of Blender, since 2.5 onwards. Many aspects of the UI are declared in python and it is therefor an integral part of the UI system (shipping without would be a world of hurt).

According to Make Human docs the add-on comes with its own version of Python ( 2.7 ).

(...) there is a bundled python inside the build zips (...)

This means you have at least two versions of python on your machine, one that Blender uses and one that Make Human uses, that's OK.

$\endgroup$
0
$\begingroup$

All the full releases of MakeHuman come with python in them already. You don't need anything additional to run them. You would only need to install Python on it's own if you were trying to build the pure python branch from source.

I do not think any version of Blender installs Python for you.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.